import { resolveUrl } from '@wix/sdk-runtime/rest-modules';
function resolveComWixpressMarketAimApiBiEventsServiceUrl(opts) {
    const domainToMappings = {
        'api._api_base_domain_': [
            {
                srcPath: '/app-instance-manager-webapp',
                destPath: '',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/apps',
                destPath: '',
            },
        ],
        'wixapis.com': [
            {
                srcPath: '/apps',
                destPath: '',
            },
        ],
        'dev._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
            {
                srcPath: '/api/v1/instance',
                destPath: '/v1/instance',
            },
            {
                srcPath: '/api/v1/scripts',
                destPath: '/v1/scripts',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'www._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'editor._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'blocks._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'create.editorx': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
    };
    return resolveUrl(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_app-management_bi-events';
/** Submit a BI event to Wix. */
export function sendBiEvent(payload) {
    function __sendBiEvent({ host }) {
        const metadata = {
            entityFqdn: 'wix.devcenter.bi_events.v1.send_bi_event_response',
            method: 'POST',
            methodFqn: 'com.wixpress.market.aim.api.BIEventsService.sendBIEvent',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressMarketAimApiBiEventsServiceUrl({
                protoPath: '/v1/bi-event',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __sendBiEvent;
}
//# sourceMappingURL=devcenter-bi-events-v1-send-bi-event-response-bi-events.http.js.map